
/*
 *	SPM.h includes the declarations for SPM.
 */

#ifndef SPM_H
#define SPM_H

//#include "dataStruct.h"
#include "dataUtility.h"
#include "Swap_Chain.h"


#ifndef WIN32

#include "./spm/rsa.h"
#include "./spm/config.h"
#include "./spm/stable.h"
#include "./spm/closestPairMatrix.h"
#include "./spm/closestPairTree.h"
#include "./spm/quota.h"
//#include "./spm/rstree_search.h"
#include "./spm/config.h"

#else

#include ".\spm\rsa.h"
#include ".\spm\config.h"
#include ".\spm\stable.h"
#include ".\spm\closestPairMatrix.h"
#include ".\spm\closestPairTree.h"
#include ".\spm\quota.h"
//#include ".\spm\rstree_search.h"
#include ".\spm\config.h"

#endif


#ifndef WIN32
extern struct rusage t_rTree_end;
#endif

assignment* comp_fair_matching( data_t* dat);

DOUBLE calc_fair_matching_mmd( data_t* dat);

void test_fair_matching( );

#endif
